/*PutHetCol save heating, cooling, and temperature in stack for numerical derivatives */
#include "cddefines.h"
#include "heatcool.h"
#include "puthetcol.h"

void PutHetCol(double te, 
  double htot, 
  double ctot)
{

#	ifdef DEBUG_FUN
	fputs( "<+>PutHetCol()\n", debug_fp );
#	endif

	if( nzone == 0 )
	{
		/* code is searching for first temp now - do not remember these numbers */
		HeatCool.ipGrid = 0;
	}
	else
	{
		if( HeatCool.ipGrid >= NGRID )
			HeatCool.ipGrid = 0;

		assert( HeatCool.ipGrid >= 0 );
		assert( HeatCool.ipGrid < NGRID );
		assert( nzone>=0 );

		HeatCool.TeGrid[HeatCool.ipGrid] = (float)te;
		HeatCool.HtGrid[HeatCool.ipGrid] = (float)htot;
		HeatCool.ClGrid[HeatCool.ipGrid] = (float)ctot;
		HeatCool.nZonGrid[HeatCool.ipGrid] = nzone;

		++HeatCool.ipGrid;
	}


#	ifdef DEBUG_FUN
	fputs( " <->PutHetCol()\n", debug_fp );
#	endif
	return;
}

