/*SetFPEnv set FP environment to crash on div by zero */
#include <float.h>
#include "setfpenv.h" 

void SetFPEnv( void )
{
	/* there is no command line option on MS Visual Studio to force crash */
#	ifdef _MSC_VER
	unsigned int NewMask;

	/* | is a bitwise inclusive or, turns on bits
	 * 0|0 = 0
	 * 0|1 = 1|0 = 1|1 = 1 */
	NewMask = _EM_ZERODIVIDE | _EM_OVERFLOW | _EM_INVALID;
	/* ~ is the unary bitwise complement - all bits flip */ 
	NewMask = ~NewMask;
	/*lint -e534 ignore value returned by function (nothing to do with it)*/
	_controlfp( NewMask , _MCW_EM );
	/*lint +e534 ignore value returned by function (nothing to do with it)*/
#	endif

	/* flag for gcc, remove following line (and another below)
	 * to enable this code */
#	if 0
#	ifdef __GNUC__
#	ifdef i386 
#	include <fpu_control.h>
	unsigned short int
    Old_Mask,
    /*  | is a bitwise inclusive or, turns on bits     */
    /* 0|0 = 0                                         */
    /* 0|1 = 1|0 = 1|1 = 1                             */


    /*   _FPU_MASK_IM  0x01 Invalid          */
    /*   _FPU_MASK_DM  0x02 Denormalized     */
    /*   _FPU_MASK_ZM  0x04 Division-by-zero */
    /*   _FPU_MASK_OM  0x08 Overflow         */
    /*   _FPU_MASK_UM  0x10 Underflow        */
    /*   _FPU_MASK_PM  0x20 Inexact          */

    /*  ~ is the unary bitwise complement - all bits flip */

    UnMask = ~( _FPU_MASK_ZM | _FPU_MASK_IM  | _FPU_MASK_OM );
    
  _FPU_GETCW(Old_Mask);
    
  _FPU_SETCW(Old_Mask & UnMask);
#	endif
#	endif   
	/* flag for gcc, remove following line (and another above)
	 * to enable this code */
#	endif
	return ;
}

