/*ZeroAbund set initial abundances for different mixes */
#ifdef _MSC_VER
#	pragma warning( disable : 4305 )/* disable bogus const double to float in MS VS*/
#endif
#include "cddefines.h"
#include "abundances.h"
#include "zero.h"

void ZeroAbund(void)
{
	long int i;

#	ifdef DEBUG_FUN
	fputs( "<+>ZeroAbund()\n", debug_fp );
#	endif

	/* solar abundances Grevesse and Anders 1989, Grevesse and Noel 1993 */
	abundances.SolarSave[ipHYDROGEN] = 1.0;
	abundances.SolarSave[ipHELIUM] = 0.100;
	abundances.SolarSave[2] = 2.04e-9;
	abundances.SolarSave[3] = 2.63e-11;
	abundances.SolarSave[4] = 7.59e-10;
	abundances.SolarSave[5] = 3.55e-4;
	abundances.SolarSave[6] = 9.33e-5;
	abundances.SolarSave[7] = 7.41e-4;
	abundances.SolarSave[8] = 3.02e-8;
	abundances.SolarSave[9] = 1.17e-4;
	abundances.SolarSave[10] = 2.06e-6;
	abundances.SolarSave[11] = 3.80e-5;
	abundances.SolarSave[12] = 2.95e-6;
	abundances.SolarSave[13] = 3.55e-5;
	abundances.SolarSave[14] = 3.73e-7;
	abundances.SolarSave[15] = 1.62e-5;
	abundances.SolarSave[16] = 1.88e-7;
	abundances.SolarSave[17] = 3.98e-6;
	abundances.SolarSave[18] = 1.35e-7;
	abundances.SolarSave[19] = 2.29e-6;
	abundances.SolarSave[20] = 1.58e-9;
	abundances.SolarSave[21] = 1.10e-7;
	abundances.SolarSave[22] = 1.05e-8;
	abundances.SolarSave[23] = 4.84e-7;
	abundances.SolarSave[24] = 3.42e-7;
	abundances.SolarSave[25] = 3.24e-5;
	abundances.SolarSave[26] = 8.32e-8;
	abundances.SolarSave[27] = 1.76e-6;
	abundances.SolarSave[28] = 1.87e-8;
	abundances.SolarSave[29] = 4.52e-8;

	/* Nova Cyg 75 abundances, C, O, NE UP 20, NIT UP 100, REST SOLAR AR */
	abundances.anova[ipHYDROGEN] = 1.0;
	abundances.anova[ipHELIUM] = 0.098;
	abundances.anova[2] = 2.04e-9;
	abundances.anova[3] = 2.6e-11;
	abundances.anova[4] = 7.60e-9;
	abundances.anova[5] = 9.4e-4;
	abundances.anova[6] = 9.8e-3;
	abundances.anova[7] = 1.7e-2;
	abundances.anova[8] = 3.02e-8;
	abundances.anova[9] = 2.03e-3;
	abundances.anova[10] = 2.06e-6;
	abundances.anova[11] = 3.80e-5;
	abundances.anova[12] = 2.95e-6;
	abundances.anova[13] = 3.55e-5;
	abundances.anova[14] = 3.73e-7;
	abundances.anova[15] = 1.62e-5;
	abundances.anova[16] = 1.88e-7;
	abundances.anova[17] = 3.63e-6;
	abundances.anova[18] = 1.35e-7;
	abundances.anova[19] = 2.29e-6;
	abundances.anova[20] = 1.22e-9;
	abundances.anova[21] = 8.60e-8;
	abundances.anova[22] = 1.05e-8;
	abundances.anova[23] = 4.84e-7;
	abundances.anova[24] = 3.42e-7;
	abundances.anova[25] = 4.68e-5;
	abundances.anova[26] = 2.24e-9;
	abundances.anova[27] = 1.76e-6;
	abundances.anova[28] = 1.87e-8;
	abundances.anova[29] = 4.52e-8;

	/* primordial abundances */
	abundances.aprim[ipHYDROGEN] = 1.0;
	abundances.aprim[ipHELIUM] = 0.072;
	abundances.aprim[2] = 1e-10;
	abundances.aprim[3] = 1e-16;

	for( i=4; i < LIMELM; i++ )
	{
		abundances.aprim[i] = 1e-25;
	}

	/* typical ISM abundances, mean of Table 3, Cowie+Songaila, Ann Rev '86
	 * also Table 5, Savage and Sembach, Ann Rev 1996 */
	abundances.aism[ipHYDROGEN] = 1.;
	abundances.aism[ipHELIUM] = 0.098;
	abundances.aism[2] = 5.4e-11;
	abundances.aism[3] = 1e-20;
	abundances.aism[4] = 8.9e-11;
	abundances.aism[5] = 2.51e-4;
	abundances.aism[6] = 7.94e-5;
	abundances.aism[7] = 5.01e-4;
	abundances.aism[8] = 1e-20;
	abundances.aism[9] = 1.23e-4;
	abundances.aism[10] = 3.16e-7;
	abundances.aism[11] = 1.26e-5;
	abundances.aism[12] = 7.94e-8;
	abundances.aism[13] = 3.16e-6;
	abundances.aism[14] = 1.6e-7;
	abundances.aism[15] = 3.24e-5;
	abundances.aism[16] = 1e-7;
	abundances.aism[17] = 2.82e-6;
	abundances.aism[18] = 1.1e-8;
	abundances.aism[19] = 4.1e-10;
	abundances.aism[20] = 1e-20;
	abundances.aism[21] = 5.8e-10;
	abundances.aism[22] = 1.0e-10;
	abundances.aism[23] = 1.0e-8;
	abundances.aism[24] = 2.3e-8;
	abundances.aism[25] = 6.31e-7;
	abundances.aism[26] = 1e-20;
	abundances.aism[27] = 1.82e-8;
	abundances.aism[28] = 1.5e-9;
	abundances.aism[29] = 2.0e-8;

	/* HII region abundances, Orion mean of Baldwin et al, Rubin et al,
	 * and DEO et al, all 1991 apj
	 * also Table 5, Savage and Sembach, Ann Rev 1996 for ism */
	abundances.ahii[ipHYDROGEN] = 1.;
	abundances.ahii[ipHELIUM] = 0.095;
	abundances.ahii[2] = 5.4e-11;
	abundances.ahii[3] = 1e-20;
	abundances.ahii[4] = 8.9e-11;
	abundances.ahii[5] = 3.e-4;
	abundances.ahii[6] = 7.0e-5;
	abundances.ahii[7] = 4.0e-4;
	abundances.ahii[8] = 1e-20;
	abundances.ahii[9] = 6e-5;
	abundances.ahii[10] = 3e-7;
	abundances.ahii[11] = 3.e-6;
	abundances.ahii[12] = 2.e-7;
	abundances.ahii[13] = 4.e-6;
	abundances.ahii[14] = 1.6e-7;
	abundances.ahii[15] = 1.0e-5;
	abundances.ahii[16] = 1.e-7;
	abundances.ahii[17] = 3.e-6;
	abundances.ahii[18] = 1.1e-8;
	abundances.ahii[19] = 2.e-8;
	abundances.ahii[20] = 1e-20;
	abundances.ahii[21] = 5.8e-10;
	abundances.ahii[22] = 1.0e-10;
	abundances.ahii[23] = 1.0e-8;
	abundances.ahii[24] = 2.3e-8;
	abundances.ahii[25] = 3.0e-6;
	abundances.ahii[26] = 1e-20;
	abundances.ahii[27] = 1e-7;
	abundances.ahii[28] = 1.5e-9;
	abundances.ahii[29] = 2.0e-8;

	/* PN abund from Aller+Czyzak, ApJ Sup 51, 211 */
	abundances.apn[ipHYDROGEN] = 1.;
	abundances.apn[ipHELIUM] = 0.1;
	abundances.apn[2] = 1e-20;
	abundances.apn[3] = 1e-20;
	abundances.apn[4] = 1e-20;
	abundances.apn[5] = 7.8e-4;
	abundances.apn[6] = 1.8e-4;
	abundances.apn[7] = 4.4e-4;
	abundances.apn[8] = 3e-7;
	abundances.apn[9] = 1.1e-4;
	abundances.apn[10] = 1.9e-6;
	abundances.apn[11] = 1.6e-6;
	abundances.apn[12] = 2.7e-7;
	abundances.apn[13] = 1e-5;
	abundances.apn[14] = 2e-7;
	abundances.apn[15] = 1e-5;
	abundances.apn[16] = 1.7e-7;
	abundances.apn[17] = 2.7e-6;
	abundances.apn[18] = 1.2e-7;
	abundances.apn[19] = 1.2e-8;
	abundances.apn[20] = 1e-20;
	abundances.apn[21] = 1e-20;
	abundances.apn[22] = 1e-20;
	abundances.apn[23] = 1e-20;
	abundances.apn[24] = 1e-20;
	abundances.apn[25] = 5.0e-7;
	abundances.apn[26] = 1e-20;
	abundances.apn[27] = 1.8e-8;
	abundances.apn[28] = 1e-20;
	abundances.apn[29] = 1e-20;

	/* mix from Cameron 1982, in "Essays on Nuclear Astro" */
	abundances.camern[ipHYDROGEN] = 1.;
	abundances.camern[ipHELIUM] = .0677;
	abundances.camern[2] = 2.2e-9;
	abundances.camern[3] = 4.5e-11;
	abundances.camern[4] = 3.4e-10;
	abundances.camern[5] = 4.22e-4;
	abundances.camern[6] = 8.72e-5;
	abundances.camern[7] = 6.93e-4;
	abundances.camern[8] = 2.9e-8;
	abundances.camern[9] = 9.77e-5;
	abundances.camern[10] = 2.25e-6;
	abundances.camern[11] = 3.98e-5;
	abundances.camern[12] = 3.20e-6;
	abundances.camern[13] = 3.76e-5;
	abundances.camern[14] = 2.4e-7;
	abundances.camern[15] = 1.88e-5;
	abundances.camern[16] = 1.78e-7;
	abundances.camern[17] = 3.99e-6;
	abundances.camern[18] = 1.3e-7;
	abundances.camern[19] = 2.35e-6;
	abundances.camern[20] = 1.16e-9;
	abundances.camern[21] = 9.0e-8;
	abundances.camern[22] = 9.5e-9;
	abundances.camern[23] = 4.8e-7;
	abundances.camern[24] = 3.5e-7;
	abundances.camern[25] = 3.38e-5;
	abundances.camern[26] = 8.27e-8;
	abundances.camern[27] = 1.80e-6;
	abundances.camern[28] = 2.0e-8;
	abundances.camern[29] = 4.7e-8;

#	ifdef DEBUG_FUN
	fputs( " <->ZeroAbund()\n", debug_fp );
#	endif
	return;
}

